# Generated by Django 2.0.6 on 2020-10-27 10:52

from django.db import migrations, transaction, models

def migrate_tube_values(apps, schema_editor):
    pcrs = apps.get_model('metabaseEditor', 'pcr')
    with transaction.atomic():
        for pcr in pcrs.objects.all():
            pcr.new_tube.add(pcr.tube)

class Migration(migrations.Migration):

    dependencies = [
        ('metabaseEditor', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='pcr',
            name='new_tube',
            field=models.ManyToManyField(to='metabaseEditor.Tube_mix'),
        ),
        migrations.RunPython(migrate_tube_values),
        migrations.RemoveField(
            model_name='pcr',
            name='tube',
        ),
        migrations.RenameField(
            model_name='pcr',
            old_name='new_tube',
            new_name='tube',
        ),
    ]
